2019.07.11, v4.1.3

feature:
- (minify) forEach -> for-of


2019.06.23, v4.1.2

feature:
- (package) html-minifier v4.0.0
- (package) terser v4.0.0
- (package) eslint v6.0.0
- (minify) add madrun
- (package) eslint-plugin-node v9.1.0
- (package) nyc v14.1.1


2019.02.22, v4.1.1

fix:
- (minify) base64 (#50)


2018.11.21, v4.1.0

fix:
- (minify) log

feature:
- (package) uglify-js -> terser: add support of es6


2018.11.15, v4.0.3

fix:
- (minify) not a promise error (#48)


2018.11.14, v4.0.2

fix:
- (js) then is not a function (#48)


2018.10.31, v4.0.1

fix:
- (minify) base64

feature:
- (package) eslint-plugin-node v8.0.0


2018.10.26, v4.0.0

feature:
- (minify) es2018-ify
- (package) debug v4.1.0
- (package) drop support of node < 8
- (package) redrun v7.0.2
- (package) nyc v13.1.0
- (package) eslint-plugin-node v7.0.1
- (package) eslint v5.7.0


2018.03.22, v3.0.5

fix:
- (minify) output in cli (#47)

feature:
- (package) redrun v6.0.0


2018.02.22, v3.0.4

fix:
- (minify) node v4 support (#46)

feature:
- (package) rm jscs, jshint


2018.02.09, v3.0.3

feature:
- (package) try-catch v2.0.0


2017.10.09, v3.0.2

feature:
- (package) babel-preset-env v1.6.0
- (package) tomas v2.0.0
- (package) coveralls v3.0.0


2017.08.09, v3.0.1

feature:
- (package) debug v3.0.0


2017.07.12, v3.0.0

feature:
- (minify) drop support of node < 4.0.0
- (package) clean-css v4.1.6


2017.06.16, v2.1.8

feature:
- (minify) rm rendy
- (minify) add coverage


2017.06.16, v2.1.7

fix:
- (minify) cannot find module (#43)


2017.06.13, v2.1.6

fix:
- (minify) help


2017.06.13, v2.1.5

fix:
- (minify) package


2017.06.13, v2.1.4

fix:
- (npmignore) package.json


2017.06.13, v2.1.3

fix:
- (npmignore) legacy


2017.06.13, v2.1.2

fix:
- (npmignore) legacy
- (package) dependencies -> deveDependencies: babel


2017.06.13, v2.1.1

feature:
- (npmignore) decrease size


2017.06.13, v2.1.0

feature:
- (minify) es2015-ify
- (package) eslint v4.0.0
- (gitignore) package-lock


2017.05.10, v2.0.14

feature:
- (package) uglify-js v3.0.3


2016.11.09, v2.0.13

feature:
- (package) debug v2.3.0


2016.10.04, v2.0.12

fix:
- (minify) do not encode images to base64


2016.07.11, v2.0.11

feature:
- (package) html-minifier


2016.07.04, v2.0.10

feature:
- (package) uglify-js v2.7.0


2016.05.10, v2.0.9

feature:
- (package) html-minifier v2.1.2


2016.04.21, v2.0.8

feature:
- (package) html-minifier v2.0.0
- (package) jscs v3.0.3


2016.04.11, v2.0.7

feature:
- (package) html-minifier v1.5.0


2016.04.04, v2.0.6

feature:
- (package) html-minifier v1.4.0


2016.03.17, v2.0.5

feature:
- (package) html-minifier v1.3.0


2016.02.21, v2.0.4

feature:
- (package) html-minifier v1.2.0


2016.01.10, v2.0.3

feature:
- (package) html-minifier v1.1.1


2015.11.19, v2.0.2

fix:
- (minify) stdin (js, css, html) options: "-", "--"


2015.11.14, v2.0.1

feature:
- (package) uglify-js v2.6.0


2015.10.26, v2.0.0

fix:
- chore(jscs) 

feature:
- (package) rm preferGlobal
- (minify) add help
- (help) add
- (minify) -flag -> --flag
- (package) add jscs
- (jscs) add
- (package) gulp -> jshint
- (travis) rm 0.10, 0.12
- (test) add


2015.10.26, v1.4.23

feature:
- (package) html-minifier v1.0.0


2015.10.12, v1.4.22

feature:
- (package) uglify-js v2.5.0


2015.09.28, v1.4.21

feature:
- (package) html-minifire v0.8.0


2015.09.01, v1.4.20

feature:
- (package) clean-css v3.4.1


2015.07.04, v1.4.19

feature:
- (minify) else if -> else
- (minify) rm assert


2015.06.08, v1.4.18

feature:
- (minify) check -> forEach


2015.06.08, v1.4.17

feature:
- (package) rm checkup
- (package) gulp v3.9.0
- (travis) add iojs
- (travis) rm before_install


2015.06.03, v1.4.16

feature:
- (minify) log: rm "\n"


2015.06.03, v1.4.15

feature:
- (minify) exec.try -> tryCatch
- (package) execon v1.2.0


2015.06.01, v1.4.14

feature:
- (package) clean-css v3.3.0
- (package) gulp-jshint: ~ -> ^


2015.05.21, v1.4.13

feature:
- (package) rendy v1.1.0


2015.05.12, v1.4.12

feature:
- (package) debug v2.2.0


2015.04.20, v1.4.11

feature:
- (package) clean-css v3.2.1
- (package) gulp-jshint v1.10


2015.03.10, v1.4.10

feature:
- (package) html-minifier v0.7.0


2015.03.10, v1.4.9

feature:
- (package) clean-css v3.1.5


2015.01.15, v1.4.8

feature:
- (package) execon v1.1.0


2015.01.14, v1.4.7

fix:
- (minify) regexp -v -> ^-v$


2014.12.31, v1.4.6

feature:
- (minify) rm notLog


2014.12.31, v1.4.5

fix:
- (css) error -> errors
- (minify) util -> exec

feature:
- (package) gulp-jshint v1.9.0
- (gulp) rm changelog-io


2014.12.24, v1.4.4

feature:
- (package) clean-css v3.0.1


2014.12.19, v1.4.3

fix:
- (gulpfile) util-io -> execon


2014.12.19, v1.4.2

fix:
- (minify) rm Util.slice

feature:
- (package) rm util-io
- (package) add rendy
- (package) v1.4.1


2014.12.17, v1.4.1

fix:
- (minify) rm Util.slice


2014.12.03, v1.4.0

feature:
- (minify) rm middleware


2014.12.03, v1.3.6

feature:
- (package) rm ischanged, mkdirp


2014.12.02, v1.3.5

fix:
- (package) author


2014.12.02, v1.3.4

feature:
- (minify) add tomas


2014.11.27, v1.3.3

feature:
- (minify) util-io -> execon, checkup


2014.11.20, v1.3.2

fix:
- (minify) mkdir with wrong path on win


2014.11.19, v1.3.1

fix:
- (minify) first minimize error
- (minify) getDir: join

feature:
- (minify) getDir: add path.join


2014.11.14, v1.3.0

feature:
- (minify) options: retName -> name, retStream -> stream
- (package) v1.2.0
- (minify) rm option log


2014.11.13, v1.2.0

feature:
- (minify) rm option log


2014.11.12, v1.1.0

feature:
- (minify) options: add returnStream


2014.11.10, v1.0.13

feature:
- (package) css-b64-images v0.2.5
- (gitignore) add npm-debug, rm min
- (package) v1.0.12
- (img) add local css-b64-images


2014.11.6, v1.0.12

feature:
- (img) add local css-b64-images


2014.11.3, v1.0.11

feature:
- (package) rm pipe-io
- (package) util-io v1.6.0


2014.10.31, v1.0.10

feature:
- (npmignore) rm .gitignore
- (npmignore) add
- (shell) rm


2014.10.30, v1.0.9

feature:
- (lib) error: {message} -> Error


2014.10.30, v1.0.8

feature:
- (minify) require all modules on start to improve speed
- (gulp) add changelog from npm


2014.10.24, v1.0.7

fix:
- (minify) img.optimize -> getModule(img)(filename, data, callback)


2014.10.24, v1.0.6

feature:
- (minify) "Supported file types" -> "File type not supported"


2014.10.24, v1.0.5

fix:
- (minify) if not js, html, css - error

feature:
- (minify) change file ext first, read file after


2014.09.29, v1.0.4

feature:
- (package) util-io v1.4.0


2014.09.17, v1.0.3

feature:
- (package) ponse v1.2.0
- (package) gulp-jshint v1.8.4
- (package) ponse v1.1.2


2014.09.3, v1.0.2

feature:
- (package) util-io v1.3.0


2014.08.22, v1.0.1

fix:
- (minify) req.path -> req.url


2014.08.21, v1.0.0

feature:
- (test) minify.optimizeData -> minify
- (bin) minify.optimize -> minify
- (minify) add middleware


2014.08.21, v0.9.0

fix:
- (minify) work with streams in node spawn
- (minify) pipe

feature:
- (minify) rm getName, MinFolder
- (minify) if EPIPE do not show error


2014.08.18, v0.8.4

fix:
- (minify) uglify a couple files with cli

feature:
- (minify) error -> error.message


2014.08.18, v0.8.3

fix:
- feature(gulp) if no features or not es do not add to changelog

feature:
- (minify) rm global.minify
- (gulp) if no s or not fixes do not add to changelog
- (gulp) rm history
- (package) util-io v1.2.4


2014.08.17, v0.8.2

fix:
- (minify) add "/" on win


2014.08.15, v0.8.1

fix:
- (minify) minify -> lib/minify


2014.08.15, v0.8.0

feature:
- (minify) rm quiet
- (minify) add ischanged
- (package) add ischanged


2014.07.21, v0.7.1

fix:
- (minify) optimize: callback in options

feature:
- (bin) minify -> minify.js


2014.07.21, v0.7.0

feature:
- (gulp) add release
- (minify) optimize: callback is last param
- (package) gulp-jshint v1.7.1


2014.07.4, v0.6.4

fix:
- (bin) util.io -> util-io


2014.07.1, v0.6.3

feature:
- (minify) rm cheerio


2014.06.16, v0.6.2

fix:
- (main) strict mode -> use strict
- (main) util.io -> util-io

feature:
- (gulp) add test
- (travis) script: add test
- (jshintrc) add
- (travis) add test
- (travis) rm script
- (package) test: add gulp
- (gulp) add
- (package) util-io v1.2
- (package) clean-css v2.2
- (package) cheerio v0.17.0, rm entities
- (package) util.io -> util-io
- (travis) add notifications


2014.05.29, v0.6.1

fix:
- (html) optimizeInline: add $(element)
- (test) optimize -> optimizeData
- (package) util.io: ^1.1.1 -> 1.1.x
- (minify) Util: bind -> exec.with

feature:
- (package) util.io v1.1.1


2014.05.16, v0.6.0

fix:
- (minify) set 777 mode to /tmi/minify directory

feature:
- (html) add css optimization
- (css) add tryCatch
- (html) add optimizition of inline js
- (js) add tryCatch
- (package) add cheerio, entities
- (package) util.io v0.1.0
- (package) util.io v0.9
- (minify) chmod -> process.umask
- (package) mkdirp v0.5.0
- (package) html-minifier v0.6.0
- (package) add homepage


2014.04.30, v0.5.1

feature:
- (minify) add optimizeData


2014.04.29, v0.5.0

feature:
- (bin) params: in out -> in1 in2 inN > out


2014.04.25, v0.4.1

fix:
- (minify) optimizedData -> error, optimizedData
- (js) data -> dataOptimized


2014.04.25, v0.4.0

feature:
- (minify) add options: notLog


2014.04.25, v0.3.4

fix:
- callback: data -> error, data


2014.04.23, v0.3.3

fix:
- optimize makeDir: add callback


2014.04.22, v0.3.2

fix
- Folder could be undefined


2014.04.22, v0.3.1

fix
- tmp directory create


2014.04.22, v0.3.0

fix:
- access for a couple users
- check is tmpdir exists

feature:
- callback: params -> error, params
- rm ability to process array of files
- change min dir: /tmp/minify


2014.03.03, v0.2.6

fix:
- (minify) fileRead: call -> bind
- (img) if path was relative img do not put to css
- (img) change dir


2014.02.12, v0.2.5

fix:
- (img) if path was relative img do not put to css
- (img) change dir

feature:
- add util.io
- (img) add MAX_SIZE: 100kb
- update css-b64-images v0.2.x
- uglify-js: v2.4.7 -> v2.4.x
- html-minify: v0.5.4 -> 0.5.x

2014.01.03, v0.2.4

fix:
- uglify: 2.4.x -> 2.4.7
- typos


2013.11.08, v0.2.3

update:
- clean-css: 1.1.x -> 2.0.x
- update clean-css, uglify-js to all minor versions
- clean-css: update to v1.1.3

2013.10.01, v0.2.2

update:
- clean-css: v1.0.10 -> v1.1.2
- uglify: v2.3.6 -> v2.4.0
- html-minifier: v0.5.2 -> v0.5.4

2013.08.01, v0.2.1

* Updated clean-css to v1.0.2.

* Updated uglify-js to v2.3.0.

* Updated uglify-js to v2.3.2.

* Updated html-minifier to v0.5.2 and uglify-js to v2.3.4.

* Updated clean-css to v1.0.3 and uglify to v2.3.5.

* Updated clean-css to v1.0.7.

* Updated uglify to v2.3.6.

* doc(contribute) add commit message conventions

* chore(clean-css) v1.0.7 -> v1.0.10

* fix(minify) pData.toString -> pData && pData.toString

* chore(clean-css) v1.0.10 -> v1.0.11

* feature(bin) add -h -v

* chore(clean-css) v1.0.11 -> v1.0.12


2013.04.22, v0.2.0

* Updated clean-css to v0.10.1.

* Updated uglify-js to 2.2.5.

* Updated clean-css to v0.10.2.

* Removed hashes control.

* Added ability to optimize images in any css.

* Updated css-b64-images to v0.2.3.

* Updated clean-css to v1.0.0.

* Updated html-minifier to v0.5.0.

* Updated clean-css to v1.0.1.

* Fixed bug with generating html
when html-minifier do not installed.


2013.03.01, v0.1.9

* Fixed bug with optimizing images: if in css was not
result css file do not saves.

* Fixed bug with executing callback.

* Fixed bug with saving result css file.

* Added merge flag.

* Changed the way messages printing.

* Updated clean-css to v0.9.1.

* Beutified hashes.json format.

* Removed caching data for improving speed.

* Added bin directory and minify cmd tool.

* Fixed bug with calling callback after saving
minified file.

* Updated css-b64-images to v0.22.

* Updated clean-css to v0.10.0.


2012.12.12, v0.1.8

* Fixed bug with minimizing images to css file.
If css file not the last, minification was not doing.

* Changed versions of needed modules.

* Added module util.js.

* js, css and html modules refactored added module main.

* Fixed bug with saving to Cache.

* Fixed bug with hashes.json and min folder, from now
they stored in minify directory.

* Fixed bug with compression files with same name,
from min folder would be geted first name.
From now names in min folder is sha hashes form path
of file.


2012.10.01, v0.1.7

* Changed version of clean-css to 0.6.0.

* Little bit refactored and optimized.

* Fixed bug with saving optimized css file, wich
contains all css files with images, if option is
setted up.

* Changed version of base-64-images to 0.2.1.

* File check moved to module is-file-changed.

* Function doit moved to cloudcmd module.


2012.08.24, v0.1.6

* From now file hashes.json saving only if it was changed.

* Changed version of Uglify-js to 1.3.3.

* Added function checkextension and ability to read file from
hdd if it's already minified.

* Fixed bug with hashes.json, from now, if it exist, and min
folder is empty files would be minified and writed.

* Added parameters to callback function.

* Added ability auto minificate any neaded file.


2012.08.06, v0.1.5

* Added callback function.

* Added tests of js minification.


2012.07.27, v0.1.4

* Fixed bug with saving hashes.json, if css file was not last,
file would not writed.

* Fixed bug with saving all.min.css, if css file was not last,
all.min.css would not be writed and base64 function would not
be called.

* Fixed bug: all.min.css writed every time.


2012.07.19, v0.1.3

* Bug fixed: lastReaded file not always was realy last.
Because of asynchronous nature of node, there is no 
sence to pass the lastReadedFile boolean parameter,
because we can not exactly say when file would be readed.

* Fixed bug with no dependencies installed, now code
doesn't changing, just saves the copy of it in min dir.

* Fixed bug with no css-b64-images module installed,
now all.min.css writes all the time, even not minimized
and whith no converted to base64 images, but still containing
all css files.


2012.07.14, v0.1.2

* In jsScripts, bug with function jsScripts fixed, from now 
jsScripts taking 2 parameters: file names and neaded_cache bolean.

* Fixed bug in jsScripts and html functions in type convertions
(from string to array).

* Added hashes system, so if file was not changed small version woud not
created.

* 3 functions: jsScripts, cssStyles and html merged to one function optimize.


2012.07.11, v0.1.1

* In jsScripts, bug with function MoreProcessing_o.Func fixed,
now changed final_code savings, not losing.

* In jsScripts, fixed bug, when only one js-file can be post-processed, from now
every js-file could be post-processed.

* Added ability to save files in Minify Cache, without writing to disk.

* Changed the more processing agrument, no it passes with a file name and js
file name writing only once.

* Fixed bug with passing not array argument ot jsScripts function.
